Python 2.2 Support has been officially dropped (was Re: [Twisted-Python] Python 2.2 Support)

Thomas HERVE therve at
Tue Dec 27 08:15:53 EST 2005

Quoting glyph at

> That means that 2.2 is no longer officially supported, and the next 
> release will not run on any 2.2-only platforms.
> Merry christmas, I guess :).

Great news ! We may finally enjoy 2.3 optimizations in Twisted : I think about
string module, list comprehensions, optparse, new style classes... without
introducing changes (just syntaxic/optimization changes).

Would it be the good moment to open a topic in the bug tracker to hold these
patches ? Or it's better to wait for a sprint, when all these changes could be
made ?

Thanks for everything,


More information about the Twisted-Python mailing list